2012-01-03

How to fix IBus not working with QT4 in Ubuntu 11.10

I had a problem with the Anki software (Qt based) not working with the default input method in Ubuntu 11.10 for Chinese and Japanese (IBus).

After a bit of looking around the Internets and trying a few things that didn't work I read something that gave me the idea to search for a package related to using IBus on QT, and there it was, it's surprisingly called ibus-qt4.

So, to fix the problem, I just had to install this package, and voila:

 $ sudo apt-get install ibus-qt4

After this, just restart the application that uses QT and the input methods should be working on it (you may need to restart all applications that use QT, not sure about it, so in a KDE desktop you may need to log out and back in).

There you are, have fun!

And yes, the Earth went back to an arbitrary position after doing a full orbit around the Sun, so let's all congratulate each other for it!

2 comments:

  1. I've just used this in Ubuntu 12.04, you solved my problem with Anki.

    Thanks a lot!

    ReplyDelete
  2. Another Anki user here, thanks. Maybe we're the only people using the Japanese IME with QT?!

    ReplyDelete